osl::eval::ml::Pin Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Types | Public Member Functions | Static Public Member Functions | Static Private Member Functions | Static Private Attributes | List of all members
osl::eval::ml::Pin Class Reference

`#include <pin.h>`

Collaboration diagram for osl::eval::ml::Pin:
[legend]

## Public Types
enum | { DIM = (osl::PTYPE_MAX - osl::PTYPE_PIECE_MIN + 1) * 17 * 9 }

## Public Member Functions
| Pin ()

## Static Public Member Functions
static void | setUp (const Weights &weights, int stage)
static MultiInt | eval (const NumEffectState &state, PieceMask black_mask, PieceMask white_mask)

## Static Private Member Functions
static int | index (const Square king, const Piece piece)

## Static Private Attributes
static CArray2d< MultiInt, PTYPE_SIZE, 17 *9 > | table

## Detailed Description

Definition at line 29 of file eval/ml/pin.h.

## Member Enumeration Documentation

anonymous enum

Enumerator
DIM |

Definition at line 40 of file eval/ml/pin.h.

## Constructor & Destructor Documentation

osl::eval::ml::Pin::Pin | ( | ) |  |
| inline

Definition at line 41 of file eval/ml/pin.h.

## Member Function Documentation

MultiInt osl::eval::ml::Pin::eval | ( | const NumEffectState & | state,
|  | PieceMask | black_mask,
|  | PieceMask | white_mask
| ) |  |
| static

Definition at line 58 of file eval/ml/pin.cc.

References osl::BLACK, osl::Piece::ptype(), and osl::WHITE.

static int osl::eval::ml::Pin::index | ( | const Square | king,
|  | const Piece | piece
| ) |  |
| inlinestaticprivate

Definition at line 31 of file eval/ml/pin.h.

References osl::BLACK, osl::Piece::owner(), osl::Piece::square(), osl::Square::x(), and osl::Square::y().

void osl::eval::ml::Pin::setUp | ( | const Weights & | weights,
|  | int | stage
| ) |  |
| static

Definition at line 41 of file eval/ml/pin.cc.

References osl::PTYPE_MAX, osl::PTYPE_PIECE_MIN, and osl::eval::ml::Weights::value().

## Member Data Documentation

osl::misc::CArray2d< MultiInt, osl::PTYPE_SIZE, 17 *9 > osl::eval::ml::Pin::table
| staticprivate

Definition at line 38 of file eval/ml/pin.h.

The documentation for this class was generated from the following files:

- eval/ml/pin.h
- eval/ml/pin.cc